## ros-jazzy-moveit-ros-planning 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-ros-planning (2.10.0-2bookworm) bookworm; urgency=high

  * Apply clang-tidy fixes
  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Enable mdof trajectory execution (#2740 <https://github.com/moveit/moveit2/issues/2740>)
    * Add RobotTrajectory conversion from MDOF to joints
    * Convert MDOF trajectories to joint trajectories in planning interfaces
    * Treat mdof joint variables as common joints in
    TrajectoryExecutionManager
    * Convert multi-DOF trajectories to joints in TEM
    * Revert "Convert MDOF trajectories to joint trajectories in planning interfaces"
    This reverts commit 885ee2718594859555b73dc341311a859d31216e.
    * Handle multi-DOF variables in TEM's bound checking
    * Add parameter to optionally enable multi-dof conversion
    * Improve error message about unknown controllers
    * Fix name ordering in JointTrajectory conversion
    * Improve DEBUG output in TEM
    * Comment RobotTrajectory test
    * add acceleration to avoid out of bounds read
    ---------
    Co-authored-by: Paul Gesel <mailto:paulgesel@gmail.com>
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
    Co-authored-by: Ezra Brooks <mailto:ezra@brooks.cx>
  * Skip flaky PSM launch test (#2822 <https://github.com/moveit/moveit2/issues/2822>)
  * change default to 1e308 (#2801 <https://github.com/moveit/moveit2/issues/2801>)
  * PSM: keep references to scene_ valid upon receiving full scenes (#2745 <https://github.com/moveit/moveit2/issues/2745>)
    plan_execution-related modules rely on plan.planning_scene_ in many places
    to point to the currently monitored scene (or a diff on top of it).
    Before this patch, if the PSM would receive full scenes during execution,
    plan.planning_scene_ would not include later incremental updates anymore
    because the monitor created a new diff scene.
    ---------
    Co-authored-by: v4hn <mailto:me@v4hn.de>
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * Print links in collision (#2727 <https://github.com/moveit/moveit2/issues/2727>)
  * Do not overwrite the error code in planWithSinglePipeline (#2723 <https://github.com/moveit/moveit2/issues/2723>)
    * Do not overwrite the error code in planWithSinglePipeline
    Return the MotionPlanResponse as-is.
    * Do not rely on generatePlan() to set error code
    Do not rely on generatePlan() to set the error code in all cases and
    ensure that the error code is set to FAILURE if generatePlan() returns
    false.
    ---------
    Co-authored-by: Gaël Écorchard <mailto:gael@km-robotics.cz>
  * Get configuration values of traj_exec_man (#2702 <https://github.com/moveit/moveit2/issues/2702>)
    * (ros_planning) get configuration values of traj_exec_man
    * (py) get configuration values of traj_exec_man
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Exit earlier on failure in generatePlan (#2726 <https://github.com/moveit/moveit2/issues/2726>)
    With this change, the PlanningPipeline::generatePlan() exits as soon
    as a failure is detected. Before this, break was used to exit the
    current loop of request adapters, planners, or response adapters, but
    the function continued to the next loop. For example, if a planner would
    fail, the response adapters would still be executed.
    Co-authored-by: Gaël Écorchard <mailto:gael@km-robotics.cz>
  * srdf publisher node (#2682 <https://github.com/moveit/moveit2/issues/2682>)
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Get robot description from topic in GetUrdfService (#2681 <https://github.com/moveit/moveit2/issues/2681>)
  * Shut down PSM publishing before starting to publish on a potentially new topic (#2680 <https://github.com/moveit/moveit2/issues/2680>)
  * Contributors: Abishalini Sivaraman, Ezra Brooks, Gaël Écorchard, Henning Kayser, Matthijs van der Burgh, Paul Gesel, Robert Haschke, Sebastian Castro, Sebastian Jahr, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-ros-planning (2.9.0-2bookworm) bookworm; urgency=high

  * [PSM] Process collision object color when adding object trough the planning scene monitor (#2567 <https://github.com/ros-planning/moveit2/issues/2567>)
    * Added an optional Collision Object color object to set the coller of the collision object when adding the collision object trough the PSM.
    * Fixes for clang-tidy warnings
    * fix pre-commit
    * Pass by reference
  * [Servo] Make listening to octomap updates optional (#2627 <https://github.com/ros-planning/moveit2/issues/2627>)
    * [Servo] Make listening to octomap updates optional
    * Update moveit_ros/moveit_servo/config/panda_simulated_config.yaml
  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * [Planning Pipeline Refactoring] #2 <https://github.com/ros-planning/moveit2/issues/2> Enable chaining planners (#2457 <https://github.com/ros-planning/moveit2/issues/2457>)
    * Enable chaining multiple planners
  * Node logging in moveit_core (#2503 <https://github.com/ros-planning/moveit2/issues/2503>)
  * Fix trajectory execution manager comments for docs builds (#2563 <https://github.com/ros-planning/moveit2/issues/2563>)
  * Change default topic name for display contacts (#2561 <https://github.com/ros-planning/moveit2/issues/2561>)

